Localizable - Feature #999

Support for Redmine 3.0
2015-03-12 10:11 - Jonathan Name

Status: Resolved Start date: 2015-06-13
Priority: Normal Due date: 2015-06-14
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: General Estimated time: 0.00 hour
Target version: Localizable 0.4.0

Description

Hi,

with Redmine 3.0 i get an Error 500:

Completed 500 Internal Server Error in 4557ms

ActiveRecord: :RecordNotFound (Couldn't find Role

vendor/bundle/ruby/2.0.0/gems/activerecord-4.
6:in "raise_record_not_found_exception!'
vendor/bundle/ruby/2.0.0/gems/activerecord-4.
6:1in " find_one'
vendor/bundle/ruby/2.0.0/gems/activerecord-4.
5:1in " find_with_ids"
vendor/bundle/ruby/2.0.0/gems/activerecord-4.
:in " find’
vendor/bundle/ruby/2.0.0/gems/activerecord-4.
vendor/bundle/ruby/2.0.0/gems/activerecord-4.

2

2.

2

2%

with 'id'=all):

.0/1lib/active_record/relation/finder_methods.rb:33

0/lib/active_record/relation/finder_methods.rb:45

ws_settings__localizable_html_erb_ 3663128455594115890_69849051000820"

.0/1ib/active_record/relation/finder_methods.rb:43
.0/1lib/active_record/relation/finder_methods.rb:71

.0/1lib/active_record/querying.rb:3:in "~ find'
0/lib/active_record/core.rb:130:1in

plugins/localizable/app/views/settings/_localizable.html.erb:50:in ~_plugins_localizable_app_vie

Associated revisions

Revision c104c5ba - 2015-06-14 18:23 - Emilio Gonzalez Montaia
#999
e Update to support Redmine 3.

e Still compatible with Redmine 2.
¢ Added version info.

History

#1 - 2015-04-08 11:59 - Jonathan Name

fixed:
in /localizable/app/views/settings

diff _localizable.html.erb _localizable.html.erb.orig

50,54c50,54

< <%- elements = [{:name => "role", :0bjects => Role.all, :label => :label_role_plural},

< {:name => "tracker", :objects => Tracker.all, :label => :label_tracker_plural},

< {:name => "issue_status", :objects => IssueStatus.all, :label => :label_issue_status_plural},

< {:name => "custom_field", :objects => CustomField.all, :label => :label_custom_field_plural},

< {:name => "enumeration", :objects => Enumeration.where("project_id IS NULL").sort{|a, b| a.type.downcase <=> b.type.downcase}, :label

=> :label_enumerations}] %>

<%- elements = [{:name => "role", :objects => Role.find(:all), :label => :label_role_plural}, {:name => "tracker", :objects => Tracker.find(:all),
Jlabel => :label_tracker_plural}, {:name => "issue_status", :objects => IssueStatus.find(:all), :label => :label_issue_status_plural}, {:name =>

"custom_field", :objects => CustomField.find(:all), :label => :label_custom_field_plural}, {:name => "enumeration”, :objects =>

Enumeration.find(:all, :conditions => "project_id IS NULL").sort{|a, b| a.type.downcase <=> b.type.downcase}, :label => :label_enumerations}]

-Yo>

95,96¢95,96

< <input name="settings[locales][<%= element[:name] >][<= object.id >][<= locale.to_s.force_encoding("UTF-8") >]"
< value="<= @settings["locales"][element[:name]][object.id.to_s][locale].to_s.force_encoding("UTF-8") %>" />

<input name="settings[locales][<%= element[:name] >][<= object.id >][<= locale.to_s >]"
value="<= @settings["locales"][element[:name]][object.id.to_s][locale].to_s %>" />

#2 - 2015-04-08 12:00 - Jonathan Name
50,54c50, 54

< <%- elements = [{:name => "role", :objects => Role.all, :label => :label_role_plural},

< {:name => "tracker", :objects => Tracker.all, :label => :label_tracker_plural},

< {:name => "issue_status", :objects => IssueStatus.all, :label => :label_issue_status_plural}
< {:name => "custom_field", :objects => CustomField.all, :label => :label_custom_field_plural}
4

< {:name => "enumeration", :objects => Enumeration.where ("project_id IS NULL").sort{la, b| a.t
ype.downcase <=> b.type.downcase}, :label => :label_enumerations}] -%>

> <%- elements = [{:name => "role", :objects => Role.find(:all), :label => :label_role_plural},

> {:name => "tracker", :objects => Tracker.find(:all), :label => :label_tracker_plural},

> {:name => "issue_status", :objects => IssueStatus.find(:all), :label => :label_issue_status_
plural},

> {:name => "custom_field", :objects => CustomField.find(:all), :label => :label_custom_field_
plural}l,

> {:name => "enumeration", :objects => Enumeration.find(:all, :conditions => "project_id IS NU
LL") .sort{la, b| a.type.downcase <=> b.type.downcase}, :label => :label_enumerations}] -%>

98, 9698, 96

< <input name="settings[locales] [<%= element[:name] %>] [<%= object.id %>] [<%= locale.to_s.force_encodi

ng ("UTF-8") %>]"

< value="<%= (@settings["locales"] [element[:name]] [object.id.to_s][locale].to_s.force_encoding ("

UTF-8") &>" />

> <input name="settings[locales] [<%= element[:name] %>][<%= object.id %>
> value="<%= (@settings["locales"] [element[:name]] [object.id.to_s]

#3 - 2015-06-13 12:09 - Emilio Gonzalez Montana
- Category set to General

- Status changed from New to In progress

- Assignee set to Emilio Gonzalez Montaha

- Start date set to 2015-06-13

#4 - 2015-06-13 12:11 - Emilio Gonzalez Montaina

- Target version set to Localizable 0.4.0

#5 - 2015-06-14 20:24 - Emilio Gonzalez Montana
- Due date set to 2015-06-14
- Status changed from In progress to Resolved

- % Done changed from 0 to 100

2024-04-10

1 [<%= locale.to_s %>]"
[locale] .to_s %>" />
